Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005207OCamlOCamlbuild (the tool)public2011-01-20 16:522011-01-21 14:21
Reporterofalk 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.0 
Summary0005207: Syntax error in asmcomp/alpha/proc.ml
DescriptionWhile trying to compile ocaml 3.11.0 (and even later) it spots a syntax error in line 211.
The actual code:
let assemble_file infile outfile =
  let as_cmd =
    if digital_asm && !Clflags.gprofile
    then Config.as ^ " -pg"
    else Config.as in
  Ccomp.command (as_cmd ^ " -o " ^
                 Filename.quote outfile ^ " " ^ Filename.quote infile)

So something is wrong with this line: then Config.as ^ " -pg"
I'm not a ocaml guy... I'm just trying to compile it... But I guess there's something wrong with the quoting...

Replacing the code with:
let assemble_file infile outfile =
  Ccomp.command (Config.asm ^ " -o " ^ Filename.quote outfile ^ " " ^ Filename.quote infile)

seems to work fine.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0004971closed some minor bugs 

-  Notes
(0005789)
doligez (administrator)
2011-01-21 14:21

"as" is a keyword. Both occurrences of "Config.as" should be replaced by "Config.asm".

This is already fixed in 3.12.0 and later.

- Issue History
Date Modified Username Field Change
2011-01-20 16:52 ofalk New Issue
2011-01-21 14:18 doligez Relationship added duplicate of 0004971
2011-01-21 14:21 doligez Note Added: 0005789
2011-01-21 14:21 doligez Status new => closed
2011-01-21 14:21 doligez Resolution open => fixed
2011-01-21 14:21 doligez Fixed in Version => 3.12.0
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker